Get task
Customers can periodically poll the Tasking API to retrieve the latest status of their task with their taskID. Tasks are updated until they reach a final status.
Task lifecycle
-
The Tasking API verifies a submitted task and then adds it to the queue as
RECEIVED. -
An optimizer runs within the next 20 minutes. If the submitted task has a high probability of being acquired, the Tasking API updates the task status to
ACTIVE. Otherwise, the task isREJECTED. -
An
ACTIVEtask can be canceled, if necessary, by calling Task Cancellation. -
When the SLA SAR Data Products become available, an
ACTIVEtask transitions toFULFILLED(or straight toDONE, if there are no additional products). -
If a task includes any non-SLA SAR data products (as specified in your contract), the task remains in the
FULFILLEDstate while the non-SLA products are processed. -
The task transitions to
DONEafter all requested SAR Data Products are available. -
When ICEYE fails to collect an
ACTIVEtask, the status transitions toFAILED
Task status
| Task Status | Description | Transitions To |
|---|---|---|
|
ICEYE is trying to determine the probability of task success |
|
|
ICEYE estimates there is a high probability of task success and has accepted the task |
|
|
SLA products are available to download. Requested non-SLA product may still be processing |
|
|
All requested product types (SLA and non-SLA), are available to download |
- |
|
ICEYE has rejected the task due to low confidence in being able to fulfill it |
- |
|
ICEYE failed to collect the image data for an unusual reason (for example, unplanned satellite maintenance) |
- |
|
The user canceled the task |
- |
Image reference
The imageReference field is a UUID value that uniquely identifies a single result of a task.
This field is assigned asynchronously and may not be available immediately after task creation.
There may be a delay before the imageReference is populated in the task response.
AOI radius
If the task was created with aoiRadiusMeters, the task includes the same value.
To see where the scene was placed relative to the point of interest, call getTaskScene.
See Off-center imaging.
Example
Request
Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl --location "${API_BASE_URL}/api/tasking/v2/tasks/${taskID}" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"
Response
On success, customers will receive a 200 status code and a JSON object containing the desired Task and its information.
{
"id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
"pointOfInterest": {
"lat": 0,
"lon": 0
},
"acquisitionWindow": {
"start": "2023-12-29T23:20:11.315Z",
"end": "2023-12-30T01:20:11.315Z"
},
"createdAt": "2023-12-20T15:04:05Z07:00",
"updatedAt": "2023-12-20T15:04:05Z07:00",
"imagingMode": "SCAN",
"contractID": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
"reference": "customer task reference 123-456",
"status": "RECEIVED",
"fulfilledAt": "2023-12-30T00:04:05Z",
"exclusivity": "PRIVATE",
"priority": "COMMERCIAL",
"sla": "SLA_8H",
"eula": "STANDARD",
"productsAvailableInSeconds": 2304,
"incidenceAngle": {
"min": 10,
"max": 45
},
"lookSide": "LEFT",
"passDirection": "ASCENDING",
"eula": "STANDARD",
"productTypes": ["GRD", "SLC", "QLK"],
"derivativeProductTypes": ["DC-ATR"],
"notifications": {
"webhook": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
},
"deliveries": [
{
"id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
"locations": [
{
"configID": "46ec5793-3b29-4fff-90e5-360fae4be57d",
"path": "string",
"subPath": "string"
}
],
"status": "pending"
}
],
"imageReference": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX"
}